Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Class XidFactory

    java.lang.Object
      org.jboss.tm.XidFactory

All Implemented Interfaces:
  XidFactoryMBean

public class XidFactory
extends Object
implements XidFactoryMBean

XidFactory.java Created: Sat Jun 15 19:01:18 2002

Version:
Author:
  David Jencks

Constructor Summary
`XidFactory()`

Method Summary
`long` | `extractLocalIdFrom(byte[] globalId)` Extracts the local id contained in a global id.
`String` | `getBaseGlobalId()` mbean get-set pair for field BaseGlobalId Get the value of BaseGlobalId
`long` | `getGlobalIdNumber()` mbean get-set pair for field globalIdNumber Get the value of globalIdNumber
`XidFactoryMBean` | `getInstance()` mbean get-set pair for field instance Get the value of instance
`boolean` | `isPad()` mbean get-set pair for field pad Get the value of pad
`XidImpl` | `newBranch(XidImpl xid, long branchIdNum)` Describe `newBranch` method here.
`XidImpl` | `newXid()` Describe `newXid` method here.
`void` | `setBaseGlobalId(String baseGlobalId)` Set the value of BaseGlobalId
`void` | `setGlobalIdNumber(long globalIdNumber)` Set the value of globalIdNumber
`void` | `setPad(boolean pad)` Set the value of pad
`String` | `toString(Xid xid)` Describe `toString` method here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XidFactory

    public XidFactory()

Method Detail

### getBaseGlobalId

    public String getBaseGlobalId()

  mbean get-set pair for field BaseGlobalId Get the value of BaseGlobalId

  Specified by:
    `getBaseGlobalId` in interface `XidFactoryMBean`
  Returns:
    value of BaseGlobalId

### setBaseGlobalId

    public void setBaseGlobalId(String baseGlobalId)

  Set the value of BaseGlobalId

  Specified by:
    `setBaseGlobalId` in interface `XidFactoryMBean`

### getGlobalIdNumber

    public long getGlobalIdNumber()

  mbean get-set pair for field globalIdNumber Get the value of globalIdNumber

  Specified by:
    `getGlobalIdNumber` in interface `XidFactoryMBean`
  Returns:
    value of globalIdNumber

### setGlobalIdNumber

    public void setGlobalIdNumber(long globalIdNumber)

  Set the value of globalIdNumber

  Specified by:
    `setGlobalIdNumber` in interface `XidFactoryMBean`
  Parameters:
    `globalIdNumber` - Value to assign to globalIdNumber

### isPad

    public boolean isPad()

  mbean get-set pair for field pad Get the value of pad

  Specified by:
    `isPad` in interface `XidFactoryMBean`
  Returns:
    value of pad

### setPad

    public void setPad(boolean pad)

  Set the value of pad

  Specified by:
    `setPad` in interface `XidFactoryMBean`
  Parameters:
    `pad` - Value to assign to pad

### getInstance

    public XidFactoryMBean getInstance()

  mbean get-set pair for field instance Get the value of instance

  Specified by:
    `getInstance` in interface `XidFactoryMBean`
  Returns:
    value of instance

### newXid

    public XidImpl newXid()

  Describe `newXid` method here.

  Specified by:
    `newXid` in interface `XidFactoryMBean`
  Returns:
    a `XidImpl` value

### newBranch

    public XidImpl newBranch(XidImpl xid,
                             long branchIdNum)

  Describe `newBranch` method here.

  Specified by:
    `newBranch` in interface `XidFactoryMBean`
  Parameters:
    `xid` - a `XidImpl` value
    `branchIdNum` - a `long` value
  Returns:
    a `XidImpl` value

### extractLocalIdFrom

    public long extractLocalIdFrom(byte[] globalId)

  Extracts the local id contained in a global id.

  Specified by:
    `extractLocalIdFrom` in interface `XidFactoryMBean`
  Parameters:
    `globalId` - a global id
  Returns:
    the local id extracted from the global id

### toString

    public String toString(Xid xid)

  Describe `toString` method here.

  Specified by:
    `toString` in interface `XidFactoryMBean`
  Parameters:
    `xid` - a `Xid` value
  Returns:
    a `String` value

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.